ps_seg_s Struct Reference

Base structure for hypothesis segmentation iterator. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

ps_segfuncs_t * | vt
| V-table of seg methods.
ps_search_t * | search
| Search object from whence this came.
char const * | word
| Word string (pointer into dictionary hash)
frame_idx_t | sf
| Start frame.
frame_idx_t | ef
| End frame.
int32 | ascr
| Acoustic score.
int32 | lscr
| Language model score.
int32 | prob
| Log posterior probability.
int32 | lback
| Language model backoff.
float32 | lwf
| Language weight factor (for second-pass searches)

## Detailed Description

Base structure for hypothesis segmentation iterator.

Definition at line 178 of file pocketsphinx_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h